Subject: Re: bug#19710: 24.4.51; Isearch is broken in comints which relly on regexp
From: Juri Linkov <[email-masked]>
To: Vitalie Spinu <[email-masked]>
Cc: [email-masked]
Date: Thu, 05 Feb 2015 02:57:07 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

>  >> Recent changes to commit to allow for multiline search assume fields
>  >> throughout. The common case when comint-use-prompt-regexp is non-nil is
>  >> not captured.
>  >>
>  >> To see the problem start shell and issue a couple of commands. Then
>  >> (setq comint-use-prompt-regexp t), and add a couple of RETs. Then try M-r.
>  >>
>  >> You should see "Regexp history I-search backward:" several lines above
>  >> where it should be and isearch will not work as expected.
>  >>
>  >> If you restart your shell, you will not even see the "Regexp history
>  >> I-search backward:" as there are no fields in the buffer.
>
>  > Thanks for the report.  This can be fixed by the patch that
>  > reverts the change of callers, and instead modifies
>  > `comint-line-beginning-position' to support multi-line input
>  > for both cases of comint-use-prompt-regexp = t/nil:
>
> Thanks Juri, this patch solves the problem indeed.

I fixed this on the emacs-24 branch because bug#19572 backported
previous changes to emacs-24.